## GESAudioTestSource GESAudioTestSource — produce a simple test waveform or silence |

## Functions

void | ges_audio_test_source_set_freq ()
void | ges_audio_test_source_set_volume ()
double | ges_audio_test_source_get_freq ()
double | ges_audio_test_source_get_volume ()

## Types and Values

| GESAudioTestSource

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GESTimelineElement
                ╰── GESTrackElement
                    ╰── GESSource
                        ╰── GESAudioSource
                            ╰── GESAudioTestSource

## Implemented Interfaces

GESAudioTestSource implements GESExtractable and GESMetaContainer.

## Includes

    #include <ges/ges.h>

## Description

Outputs a test audio stream using audiotestsrc. The default property values output silence. Useful for testing pipelines, or to fill gaps in an audio track.

## Functions

### ges_audio_test_source_set_freq ()

    void
    ges_audio_test_source_set_freq (GESAudioTestSource *self,
                                    gdouble freq);

Lets you set the frequency applied on the track element

#### Parameters

self | a GESAudioTestSource |
freq | The frequency you want to apply on `self` |

### ges_audio_test_source_set_volume ()

    void
    ges_audio_test_source_set_volume (GESAudioTestSource *self,
                                      gdouble volume);

Sets the volume of the test audio signal.

#### Parameters

self | a GESAudioTestSource |
volume | The volume you want to apply on `self` |

### ges_audio_test_source_get_freq ()

    double
    ges_audio_test_source_get_freq (GESAudioTestSource *self);

Get the current frequency of `self` .

#### Parameters

self | a GESAudioTestSource |

#### Returns

The current frequency of `self` .

### ges_audio_test_source_get_volume ()

    double
    ges_audio_test_source_get_volume (GESAudioTestSource *self);

Get the current volume of `self` .

#### Parameters

self | a GESAudioTestSource |

#### Returns

The current volume of `self`

## Types and Values

### GESAudioTestSource

    typedef struct _GESAudioTestSource GESAudioTestSource;